## shim-signed 1.33.1~16.04.10

=== Makefile ===
all:
	mkdir -p build
	# Download unsigned & signed shim
	./download-signed shim current shim signed

	# Copy unsigned shim
	cp $(SHIM_VERSION)/$(SHIM_BASE) build/

	# Create detached signature from externally signed shim
	sbattach --detach external-$(EFI_ARCH_LOWER).p7c external-shim$(EFI_ARCH_LOWER).efi

	# Attach external signature to unsigned & signed shims
	sbattach --attach external-$(EFI_ARCH_LOWER).p7c $(SHIM_VERSION)/$(SHIM_BASE)

	# Copy external shim
	cp $(SHIM_VERSION)/$(SHIM_BASE) build/$(SHIM_BASE).signed

	# Move archive signed fb*.efi & mm*.efi
	mv $(SHIM_VERSION)/$(FB_BASE).signed build/$(FB_BASE)
	mv $(SHIM_VERSION)/$(MM_BASE).signed build/$(MM_BASE)

	# Generate BOOT.CSV
	echo "$(SHIM_BASE),ubuntu,,This is the boot entry for ubuntu" | iconv -t UCS-2LE > build/BOOT$(EFI_ARCH).CSV

check:
	# Verify all signatures
	sbverify --verbose --cert external.pem build/$(SHIM_BASE).signed
	# the following signatures should work, but sbverify in xenial is unable to verify them :/
	# FIXME sbverify --verbose --cert $(SHIM_VERSION)/control/uefi.crt build/$(FB_BASE)
	# FIXME sbverify --verbose --cert $(SHIM_VERSION)/control/uefi.crt build/$(MM_BASE)
	# verify sbattach binary output matches the externally-signed binary
	cmp external-shim$(EFI_ARCH_LOWER).efi build/$(SHIM_BASE).signed

clean:
	rm -rf build $(SHIM_VERSION) external-$(EFI_ARCH_LOWER).p7c

=== debian/changelog ===
shim-signed (1.33.1~16.04.10) xenial; urgency=medium

  * Update to shim 15.4-0ubuntu7:
    - Fix load option parsing, and thus fwupd execution (LP: #1929471) (PR #379)
    - Fix occasional crashes in _relocate() on arm64 (LP: #1928010) (PR #383)
    - Fix accidental deletion of RT variables (LP: #1934506) (PR #387)
    - mok: relax the maximum variable size check (LP: #1934780) (PR #369)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 16 Jul 2021 13:04:57 +0200

shim-signed (1.33.1~16.04.9) xenial; urgency=medium

  * Do not build a dual-signed shim (fixing regression from ~16.04.7), and
    disable verifying fbx64.efi and mmx64.efi certificates as xenial's
    sbverify is unable to (impish works fine)
  * Clean up debhelper log file accidentally imported into git during 16.04.7
    import.

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 23 Jun 2021 18:20:36 +0200

shim-signed (1.33.1~16.04.8) xenial; urgency=medium

  * debian/*.postinst: Unconditionally call grub-install with
    --force-extra-removable, so that the \EFI\BOOT removable path as used in
    cloud images receives the updates.  LP: #1930742.
  * Update to shim 15.4-0ubuntu5:
    - Stop addending vendor dbx to MokListXRT during MokListX mirroring. This
      is causing systems to run out of EFI storage space, or just hang up
      when trying to write it (LP: #1924605) (LP: #1928434)
    - Further relax the check for variable mirroring on non-secureboot systems
      avoiding boot failures on out of space conditons (pull request #372)
    - Don't unhook ExitBootServices() when EBS protection is disabled
      (LP: #1931136) (pull request #378)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 22 Jun 2021 21:30:28 +0200

shim-signed (1.33.1~16.04.7) xenial; urgency=medium

  * New upstream release 15.4.  LP: #1921134
  * Update packaging to pull fb and mm from shim-signed package as in
    later releases, dropping the runtime dependency on shim.
  * Add download-signed script from linux-signed package
  * Add a versioned dependency on the mokutil that introduces --timeout, and
    call mokutil --timeout -1 so that users don't end up with broken systems
    by missing MokManager on reboot after install.  LP: #1856422.
  * Add versioned dependencies on grub-efi-amd64-signed and grub2-common,
    to ensure we have SBAT-compatible grub.efi and grub 2.04-compatible
    grub-install present when we are installing new shim to the ESP.
  * Include reworked Makefile from devel to better assert the integrity of
    the executables.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 May 2021 23:39:43 +0000

shim-signed (1.33.1~16.04.6) xenial; urgency=medium

  * Update to the signed 15+1552672080.a4a1fbe-0ubuntu2 binary from Microsoft.
    (LP: #1862171)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 07 Aug 2020 14:10:55 +0200

=== debian/control ===
Source: shim-signed
Section: utils
Priority: optional
Maintainer: Steve Langasek <steve.langasek@ubuntu.com>
Build-Depends: debhelper (>= 9), dh-exec, shim, sbsigntool (>= 0.6-0ubuntu4), po-debconf, python3, python3-apt
Standards-Version: 3.9.4
Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/shim/+git/shim-signed
Vcs-Browser: https://git.launchpad.net/~ubuntu-core-dev/shim/+git/shim-signed

Package: shim-signed
Architecture: amd64
Depends: ${misc:Depends}, grub-efi-amd64-signed (>= 1.167~16.04.2+2.04-1ubuntu44), grub2-common (>= 2.02~beta2-36ubuntu3.31), mokutil (>= 0.3.0+1538710437.fb6250f-0ubuntu2~), sbsigntool (>= 0.6-0ubuntu10.1)
Breaks: dkms (<< 2.2.0.3-2ubuntu11.6), shim (<< 15.3)
Replaces: shim (<< 15.3)
Recommends: secureboot-db
Built-Using: shim (= ${shim:Version})
Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)
 This package provides a minimalist boot loader which allows verifying
 signatures of other UEFI binaries against either the Secure Boot DB/DBX or
 against a built-in signature database.  Its purpose is to allow a small,
 infrequently-changing binary to be signed by the UEFI CA, while allowing
 an OS distributor to revision their main bootloader independently of the CA.
 .
 This package contains the version of the bootloader binary signed by the
 Microsoft UEFI CA.

=== debian/rules ===
#! /usr/bin/make -f

VERSION := $(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
SHIM_VERSION := $(shell dpkg-query -f '$${Version}\n' -W shim)
export SHIM_VERSION

ifeq ($(DEB_TARGET_ARCH),amd64)
export EFI_ARCH := X64
endif
export EFI_ARCH_LOWER := $(shell echo $(EFI_ARCH) | tr A-Z a-z)
export SHIM_BASE = shim$(EFI_ARCH_LOWER).efi
export FB_BASE = fb$(EFI_ARCH_LOWER).efi
export MM_BASE = mm$(EFI_ARCH_LOWER).efi

%:
	dh $@

docdir := debian/shim-signed/usr/share/doc/shim-signed

override_dh_installchangelogs:
	dh_installchangelogs
	# Quieten lintian, which otherwise gets confused by our odd version
	# number.
	ln $(docdir)/changelog $(docdir)/changelog.Debian

override_dh_gencontrol:
	dh_gencontrol -- -v$(VERSION)+$(SHIM_VERSION) \
		-Vshim:Version=$(SHIM_VERSION)

## shim-signed 1.33.1~17.10.1

=== debian/changelog ===
shim-signed (1.33.1~17.10.1) artful; urgency=medium

  * Backport shim-signed 1.33.1 to 17.10. (LP: #1708245)
  * debian/control: bump the Depends on grub2-common since that's needed to
    install with the new updated EFI binaries filenames.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 11 Jan 2018 15:49:09 -0500

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,14 @@
 Section: utils
 Priority: optional
 Maintainer: Steve Langasek <steve.langasek@ubuntu.com>
-Build-Depends: debhelper (>= 9), dh-exec, shim, sbsigntool (>= 0.6-0ubuntu4), po-debconf, python3, python3-apt
+Build-Depends: debhelper (>= 9), shim, sbsigntool (>= 0.6-0ubuntu4), po-debconf
 Standards-Version: 3.9.4
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/shim/+git/shim-signed
 Vcs-Browser: https://git.launchpad.net/~ubuntu-core-dev/shim/+git/shim-signed
 
 Package: shim-signed
 Architecture: amd64
-Depends: ${misc:Depends}, grub-efi-amd64-signed (>= 1.167~16.04.2+2.04-1ubuntu44), grub2-common (>= 2.02~beta2-36ubuntu3.31), mokutil (>= 0.3.0+1538710437.fb6250f-0ubuntu2~), sbsigntool (>= 0.6-0ubuntu10.1)
-Breaks: dkms (<< 2.2.0.3-2ubuntu11.6), shim (<< 15.3)
-Replaces: shim (<< 15.3)
+Depends: ${misc:Depends}, shim (= ${shim:Version}), grub-efi-amd64-bin, grub2-common (>= 2.02~beta3-4ubuntu7.1), mokutil
 Recommends: secureboot-db
 Built-Using: shim (= ${shim:Version})
 Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)

## shim-signed 1.34.9

=== debian/changelog ===
shim-signed (1.34.9) bionic; urgency=medium

  * debian/shim-signed.postinst: check for MOK existence rather than ignoring
    failures in the trigger. (LP: #1766627)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 24 Apr 2018 13:24:24 -0400

shim-signed (1.34.8) bionic; urgency=medium

  * debian/shim-signed.postinst: shim-signed's trigger to enroll a new MOK
    should not fail the upgrade if there was no MOK to enroll. (LP: #1766627)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 24 Apr 2018 12:31:25 -0400

shim-signed (1.34.7) bionic; urgency=medium

  * debian/shim-signed.postinst: it's not guaranteed that all linux-image
    packages currently installed have dkms modules built for them.
    Gracefully handle any failures in the path for signing existing dkms
    modules on upgrade due to absent modules.  LP: #1766391.
  * Add a dependency on sbsigntool for kmodsign, which we use directly.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 23 Apr 2018 21:47:50 -0700

shim-signed (1.34.6) bionic; urgency=medium

  * debian/shim-signed.postinst: bump lower version for batch-signing module
    to 1.34.6, to make sure everything is properly signed if people got one
    of the previous shim-signed packages.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 23 Apr 2018 19:52:19 -0400

shim-signed (1.34.5) bionic; urgency=medium

  * Don't try to save new dkms list if we're still dealing with password
    validation for enrollment. (LP: #1766312)
  * Specify kernel version when installing/uninstalling modules while doing
    batch signing on upgrade.
  * Do a better job at finding kernel modules from DKMS if they are in sub-
    directories.
  * Don't prompt if DKMS is installed but there are no DKMS-built modules
    installed. (LP: #1766261)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 23 Apr 2018 15:29:44 -0400

shim-signed (1.34.4) bionic; urgency=medium

  * Handle the case that there are no kernel modules available for a given
    dkms package.  This probably indicates there is a problem with the dkms
    module's installation, but that should not cause this package's
    installation to fail.  LP: #1765954.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 21 Apr 2018 10:13:41 -0700

shim-signed (1.34.3) bionic; urgency=medium

  * Only take the first 31 bytes of the hostname.  LP: #1765905.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 21 Apr 2018 01:14:12 -0700

shim-signed (1.34.2) bionic; urgency=medium

  * Handle the case of multiple .kos per dkms module and .kos whose name
    does not match the dkms package name.  LP: #1765647.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 21 Apr 2018 01:01:56 -0700

shim-signed (1.34.1) bionic; urgency=medium

  * update-secureboot-policy: don't skip creating a MOK if Secure Boot is not
    enabled in firmware, but do guard against prompting users on a system that
    doesn't have efivars mounted or where SB is disabled. (LP: #1765515)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 19 Apr 2018 17:56:50 -0400

shim-signed (1.34) bionic; urgency=medium

  * update-secureboot-policy: (LP: #1748983)
    - Factor out validate_password() and clear_passwords() for reuse.
    - Add --new-key option to generate a self-signed MOK.
    - Add --enroll-key option to allow enrolling a new MOK in shim.
    - Drop --enable and --disable options; users should call mokutil directly
      instead.
  * debian/shim-signed.postinst:
    - When triggered, explicitly try to enroll the available MOK.
  * debian/shim-signed.install, openssl.cnf: Install some default configuration
    for creating our self-signed key.
  * debian/shim-signed.dirs: make sure we have a directory where to put a MOK.
  * debian/templates: update templates for update-secureboot-policy changes.
  * debian/control: add versioned Breaks: for dkms.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 18 Apr 2018 22:35:46 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: shim-signed
 Architecture: amd64
-Depends: ${misc:Depends}, shim (= ${shim:Version}), grub-efi-amd64-bin, grub2-common (>= 2.02~beta3-4ubuntu7.1), mokutil
+Depends: ${misc:Depends}, shim (= ${shim:Version}), grub-efi-amd64-bin, grub2-common (>= 2.02~beta2-36ubuntu12), mokutil, sbsigntool
 Recommends: secureboot-db
 Built-Using: shim (= ${shim:Version})
 Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)

=== debian/rules ===
--- 
+++ 
@@ -2,15 +2,10 @@
 
 VERSION := $(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
 SHIM_VERSION := $(shell dpkg-query -f '$${Version}\n' -W shim)
-export SHIM_VERSION
 
 ifeq ($(DEB_TARGET_ARCH),amd64)
 export EFI_ARCH := X64
 endif
-export EFI_ARCH_LOWER := $(shell echo $(EFI_ARCH) | tr A-Z a-z)
-export SHIM_BASE = shim$(EFI_ARCH_LOWER).efi
-export FB_BASE = fb$(EFI_ARCH_LOWER).efi
-export MM_BASE = mm$(EFI_ARCH_LOWER).efi
 
 %:
 	dh $@

## shim-signed 1.36~1+deb10u1

=== debian/changelog ===
shim-signed (1.36~1+deb10u1) buster; urgency=medium

  * Add explicit dependency from shim-signed to shim-signed-common.
    Also check if we have update-secureboot-policy available before we
    try to call it.
  * If we're not running on an EFI system then exit cleanly in
    postinst and postrm. We have nothing to do here
  * Fix the old doc links for shim-signed.
  * Add defensive code around calls to db_get. Don't fail if they
    return errors.
  * Update build-dep on shim-unsigned to use 15.4-5~deb10u1

 -- Steve McIntyre <93sam@debian.org>  Sun, 09 May 2021 00:50:28 +0100

shim-signed (1.34~1+deb10u1) buster; urgency=medium

  * Buster update: build against new signed binaries corresponding to
    15.4-2~deb10u1
  * ***WARNING***: arm64 shim is no longer signed, due to major
    toolchain problems. See NEWS.Debian for more
    information. Separated out the binary package for arm64 to allow
    for a different description, and tweaked the Makefile too.
  * Tweak Makefile setup - do our verification testing chained from
    the "all" target, not "clean". Closes: #936002
  * Don't include apport stuff in the Debian build, it's not useful.
  * Tweak dh_install* usage for docs.
  * Add Spanish translation for debconf templates, thanks to
    Camaleón. Closes: #987339
  * Multiple bugfixes in postinst and postrm handling:
    + Call grub-install using the correct grub target in postinst
    + Also call grub-install using the correct grub target in the
      postrm, and clean up the shim binary from the ESP
    + In each case, also check and use the correct configured options
      for grub-install
    + Move the postinst grub-install code from the -common package to
      the arch-specific packages, to make sure it's always called when
      needed.
    + Only run grub-install etc. if we're actually on an EFI-booted
      system.

 -- Steve McIntyre <93sam@debian.org>  Mon, 03 May 2021 20:10:11 +0100

## shim-signed 1.36~1+deb10u2

=== Makefile ===
all: verify

verify: verify_$(EFI_ARCH)

verify_:
	@echo "EFI_ARCH is not set, ABORT"
	@false

verify_x64 verify_ia32:
	mkdir -p build
	# Verifying that the image is signed with the correct key.
	sbverify --cert MicCorUEFCA2011_2011-06-27.crt shim$(EFI_ARCH).efi.signed
	# Verifying that we have the correct binary.
	sbattach --detach build/detached-sig shim$(EFI_ARCH).efi.signed 
	cp /usr/lib/shim/shim$(EFI_ARCH).efi build/shim$(EFI_ARCH).efi.signed
	sbattach --attach build/detached-sig build/shim$(EFI_ARCH).efi.signed
	cmp shim$(EFI_ARCH).efi.signed build/shim$(EFI_ARCH).efi.signed
	sha256sum shim$(EFI_ARCH).efi.signed build/shim$(EFI_ARCH).efi.signed

verify_aa64:
	@echo "Copying unsigned arm64 shim into place, sorry :-("
	mkdir -p build
	cp shimaa64.efi.OLD.HACK build/shim$(EFI_ARCH).efi.signed

clean:
	rm -rf build

=== debian/changelog ===
shim-signed (1.36~1+deb10u2) buster; urgency=high

  * Workaround for boot-breaking bug on arm64. Despite initial testing
    suggesting otherwise, even an unsigned arm64 build of 15.4 seems
    likely to crash at boot on some systems. Copy an old version of
    the unsigned arm64 shim into place for now. This will not support
    Secure Boot, but it will at least allow people to boot.

 -- Steve McIntyre <93sam@debian.org>  Sat, 19 Jun 2021 17:17:39 +0100

=== debian/control ===
Source: shim-signed
Section: utils
Priority: optional
Maintainer: Debian EFI Team <debian-efi@lists.debian.org>
Uploaders: Steve McIntyre <93sam@debian.org>, Steve Langasek <vorlon@debian.org>
Build-Depends: debhelper (>= 9),
 shim-unsigned (= 15.4-5~deb10u1),
# sbsigntool before 0.9.2-2 had a horrid bug with checksum calculation
# which broke our build
 sbsigntool (>= 0.9.2-2),
 po-debconf
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/efi-team/shim-signed
Vcs-Git: https://salsa.debian.org/efi-team/shim-signed.git

Package: shim-signed
Architecture: amd64 i386 arm64
Multi-Arch: same
Depends: ${misc:Depends},
 shim-signed-common (>= ${binary:Version}),
 grub-efi-amd64-bin [amd64],
 shim-helpers-amd64-signed (>= 1+15.4+2~deb10u1) [amd64],
 grub-efi-ia32-bin [i386],
 shim-helpers-i386-signed (>= 1+15.4+2~deb10u1) [i386],
 grub-efi-arm64-bin [arm64],
 shim-helpers-arm64-signed (>= 1+15.4+2~deb10u1) [arm64],
 grub2-common (>= 2.02+dfsg1-20+deb10u4)
Recommends: secureboot-db
Built-Using: shim (= ${shim:Version})
Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)
 This package provides a minimalist boot loader which allows verifying
 signatures of other UEFI binaries against either the Secure Boot DB/DBX or
 against a built-in signature database.  Its purpose is to allow a small,
 infrequently-changing binary to be signed by the UEFI CA, while allowing
 an OS distributor to revision their main bootloader independently of the CA.
 .
 This package contains the version of the bootloader binary signed by the
 Microsoft UEFI CA.

Package: shim-signed-common
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}, mokutil
Replaces: shim-signed (<< 1.32+15+1533136590.3beb971-5)
Breaks: shim-signed (<< 1.32+15+1533136590.3beb971-5)
Description: Secure Boot chain-loading bootloader (common helper scripts)
 This package provides a minimalist boot loader which allows verifying
 signatures of other UEFI binaries against either the Secure Boot DB/DBX or
 against a built-in signature database.  Its purpose is to allow a small,
 infrequently-changing binary to be signed by the UEFI CA, while allowing
 an OS distributor to revision their main bootloader independently of the CA.
 .
 This package contains common helper scripts for all versions of the
 shim-signed package.

## shim-signed 1.36

=== debian/changelog ===
shim-signed (1.36) unstable; urgency=medium

  * Add defensive code around calls to db_get. Don't fail if they
    return errors. Closes: #988114
  * Update build-dep on shim-unsigned to use 15.4-5

 -- Steve McIntyre <93sam@debian.org>  Thu, 06 May 2021 00:50:02 +0100

shim-signed (1.35) unstable; urgency=medium

  * Add explicit dependency from shim-signed to shim-signed-common.
    Also check if we have update-secureboot-policy available before we
    try to call it. Closes: #988047, #988056
  * If we're not running on an EFI system then exit cleanly in
    postinst and postrm. We have nothing to do here. Closes: #988059
  * Fix the old doc links for shim-signed. Closes: #988057
  * Update build-dep on shim-unsigned

 -- Steve McIntyre <93sam@debian.org>  Tue, 04 May 2021 18:47:42 +0100

shim-signed (1.34) unstable; urgency=medium

  * Build against new signed binaries corresponding to 15.4-2
    Closes: #971129, #987991
  * ***WARNING***: arm64 shim is no longer signed, due to major
    toolchain problems. See NEWS.Debian for more
    information. Separated out the binary package for arm64 to allow
    for a different description, and tweaked the Makefile too.
  * Update build-deps and Standards-Version
  * Tweak Makefile setup - do our verification testing chained from
    the "all" target, not "clean". Closes: #936002
  * Don't include apport stuff in the Debian build, it's not useful.
  * Tweak dh_install* usage for docs.
  * Add Spanish translation for debconf templates, thanks to
    Camaleón. Closes: #987339
  * Multiple bugfixes in postinst and postrm handling:
    + Call grub-install using the correct grub target in postinst
    + Also call grub-install using the correct grub target in the
      postrm, and clean up the shim binary from the ESP
    + In each case, also check and use the correct configured options
      for grub-install
    + Move the postinst grub-install code from the -common package to
      the arch-specific packages, to make sure it's always called when
      needed.
    + Only run grub-install etc. if we're actually on an EFI-booted
      system.

 -- Steve McIntyre <93sam@debian.org>  Mon, 03 May 2021 20:13:04 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian EFI Team <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>, Steve Langasek <vorlon@debian.org>
-Build-Depends: debhelper (>= 9),
- shim-unsigned (= 15.4-5~deb10u1),
+Build-Depends: debhelper (>= 13),
+ shim-unsigned (= 15.4-5),
 # sbsigntool before 0.9.2-2 had a horrid bug with checksum calculation
 # which broke our build
  sbsigntool (>= 0.9.2-2),
  po-debconf
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/efi-team/shim-signed
 Vcs-Git: https://salsa.debian.org/efi-team/shim-signed.git
 
@@ -19,12 +19,12 @@
 Depends: ${misc:Depends},
  shim-signed-common (>= ${binary:Version}),
  grub-efi-amd64-bin [amd64],
- shim-helpers-amd64-signed (>= 1+15.4+2~deb10u1) [amd64],
+ shim-helpers-amd64-signed (>= 1+15.4+2) [amd64],
  grub-efi-ia32-bin [i386],
- shim-helpers-i386-signed (>= 1+15.4+2~deb10u1) [i386],
+ shim-helpers-i386-signed (>= 1+15.4+2) [i386],
  grub-efi-arm64-bin [arm64],
- shim-helpers-arm64-signed (>= 1+15.4+2~deb10u1) [arm64],
- grub2-common (>= 2.02+dfsg1-20+deb10u4)
+ shim-helpers-arm64-signed (>= 1+15.4+2) [arm64],
+ grub2-common (>= 2.02+dfsg1-16)
 Recommends: secureboot-db
 Built-Using: shim (= ${shim:Version})
 Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)

## shim-signed 1.36.1

=== debian/changelog ===
shim-signed (1.36.1) unstable; urgency=medium

  * update

 -- Debian EFI Team <debian-efi@lists.debian.org>  Mon, 28 Jun 2021 16:58:26 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian EFI Team <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>, Steve Langasek <vorlon@debian.org>
-Build-Depends: debhelper (>= 13),
+Build-Depends: debhelper (>= 12),
  shim-unsigned (= 15.4-5),
 # sbsigntool before 0.9.2-2 had a horrid bug with checksum calculation
 # which broke our build
@@ -41,8 +41,9 @@
 Multi-Arch: foreign
 Architecture: all
 Depends: ${misc:Depends}, mokutil
-Replaces: shim-signed (<< 1.32+15+1533136590.3beb971-5)
-Breaks: shim-signed (<< 1.32+15+1533136590.3beb971-5)
+Replaces: shim-signed (<< 1.34.is.1.23+0.9+1474479173.6c180c6-1deepin)
+Breaks: shim-signed (<< 1.34.is.1.23+0.9+1474479173.6c180c6-1deepin)
+Conflicts: shim-signed (= 1.34.is.1.23+0.9+1474479173.6c180c6-1deepin) 
 Description: Secure Boot chain-loading bootloader (common helper scripts)
  This package provides a minimalist boot loader which allows verifying
  signatures of other UEFI binaries against either the Secure Boot DB/DBX or

=== debian/rules ===
#! /usr/bin/make -f

VERSION := $(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
SHIM_VERSION := $(shell dpkg-query -f '$${Version}\n' -W shim-unsigned)
VENDOR := $(shell dpkg-vendor --query vendor)

include /usr/share/dpkg/architecture.mk

ifeq ($(DEB_HOST_ARCH),amd64)
export EFI_ARCH := x64
endif
ifeq ($(DEB_HOST_ARCH),arm64)
export EFI_ARCH := aa64
endif
ifeq ($(DEB_HOST_ARCH),i386)
export EFI_ARCH := ia32
endif

%:
	dh $@

docdir := debian/shim-signed-common/usr/share/doc/shim-signed-common

override_dh_installdebconf:
	dh_installdebconf -p shim-signed-common

override_dh_installdeb:
ifeq ($(VENDOR),Debian)
	# Remove apport files from Debian builds, they're not useful
	find debian/shim-signed-common -name '*apport*' | xargs rm -rvf
endif
	dh_installdeb

override_dh_gencontrol:
ifeq ($(DEB_HOST_ARCH),arm64)
	# On arm64, substitute our package description with "not
	# signed" warning at build time
	dh_gencontrol -pshim-signed -- \
		-v$(VERSION)+$(SHIM_VERSION) \
		-Vshim:Version=$(SHIM_VERSION) \
		-DDescription="$$(cat debian/arm64.description)"
	dh_gencontrol --remaining-packages -- \
		-v$(VERSION)+$(SHIM_VERSION) \
		-Vshim:Version=$(SHIM_VERSION)
else
	dh_gencontrol -- -v$(VERSION)+$(SHIM_VERSION) \
		-Vshim:Version=$(SHIM_VERSION)
endif

## shim-signed 1.36.5

=== debian/changelog ===
shim-signed (1.36.5) unstable; urgency=medium

  * add shimaa64.efi.

 -- LiChengGang <lichenggang@uniontech.com>  Thu, 25 May 2023 16:33:36 +0800

shim-signed (1.36.4) unstable; urgency=medium

  * Non-maintainer upload.

 -- deepin <lichenggang@uniontech.com>  Tue, 08 Nov 2022 15:25:49 +0800

shim-signed (1.36.3) unstable; urgency=medium

  * update .

 -- deepin <lichenggang@uniontech.com>  Mon, 28 Jun 2021 16:40:44 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian EFI Team <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>, Steve Langasek <vorlon@debian.org>
 Build-Depends: debhelper (>= 12),
- shim-unsigned (= 15.4-5),
+ shim-unsigned (>= 15.4-5),
 # sbsigntool before 0.9.2-2 had a horrid bug with checksum calculation
 # which broke our build
  sbsigntool (>= 0.9.2-2),
@@ -43,7 +43,7 @@
 Depends: ${misc:Depends}, mokutil
 Replaces: shim-signed (<< 1.34.is.1.23+0.9+1474479173.6c180c6-1deepin)
 Breaks: shim-signed (<< 1.34.is.1.23+0.9+1474479173.6c180c6-1deepin)
-Conflicts: shim-signed (= 1.34.is.1.23+0.9+1474479173.6c180c6-1deepin) 
+Conflicts: shim-signed (= 1.36.2+15.4.1-5) 
 Description: Secure Boot chain-loading bootloader (common helper scripts)
  This package provides a minimalist boot loader which allows verifying
  signatures of other UEFI binaries against either the Secure Boot DB/DBX or

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,11 @@
 include /usr/share/dpkg/architecture.mk
 
 ifeq ($(DEB_HOST_ARCH),amd64)
+$(shell rm build/shimaa64*)
 export EFI_ARCH := x64
 endif
 ifeq ($(DEB_HOST_ARCH),arm64)
+$(shell rm build/shimx64*)
 export EFI_ARCH := aa64
 endif
 ifeq ($(DEB_HOST_ARCH),i386)

## shim-signed 1.36.7

=== debian/changelog ===
shim-signed (1.36.7) unstable; urgency=medium

  * update shimx64.efi

 -- lichenggang <lichenggang@deepin.org>  Mon, 15 Dec 2025 10:39:22 +0800

shim-signed (1.36.6) unstable; urgency=medium

  * add UOS certificate signature.

 -- zhouzilong <zhouzilong@uniontech.com>  Fri, 11 Apr 2025 17:10:51 +0800

## shim-signed 1.36.11

=== debian/changelog ===
shim-signed (1.36.11) unstable; urgency=medium

  * Non-maintainer upload.

 -- lichenggang <lichenggang@deepin.org>  Wed, 21 Jan 2026 10:17:22 +0800

shim-signed (1.36.10) unstable; urgency=medium

  * update shimaa64.efi for 15.8 and uos signed

 -- zhouzilong <zhouzilong@uniontech.com>  Mon, 19 Jan 2026 13:54:44 +0800

shim-signed (1.36.9) unstable; urgency=medium

  * support loongarch arch
  * add shimloongarch64.efi

 -- zhouzilong <zhouzilong@uniontech.com>  Tue, 06 Jan 2026 18:37:29 +0800

shim-signed (1.36.8) unstable; urgency=medium

  * add UOS cert sign for shimx64.efi

 -- zhouzilong <zhouzilong@uniontech.com>  Tue, 06 Jan 2026 18:08:39 +0800

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Vcs-Git: https://salsa.debian.org/efi-team/shim-signed.git
 
 Package: shim-signed
-Architecture: amd64 i386 arm64
+Architecture: amd64 i386 arm64 loong64
 Multi-Arch: same
 Depends: ${misc:Depends},
  shim-signed-common (>= ${binary:Version}),
@@ -24,6 +24,7 @@
  shim-helpers-i386-signed (>= 1+15.4+2) [i386],
  grub-efi-arm64-bin [arm64],
  shim-helpers-arm64-signed (>= 1+15.4+2) [arm64],
+ grub-efi-loong64-bin [loong64],
  grub2-common (>= 2.02+dfsg1-16)
 Recommends: secureboot-db
 Built-Using: shim (= ${shim:Version})

=== debian/rules ===
--- 
+++ 
@@ -7,15 +7,19 @@
 include /usr/share/dpkg/architecture.mk
 
 ifeq ($(DEB_HOST_ARCH),amd64)
-$(shell rm build/shimaa64*)
+$(shell rm build/shimaa64* build/shimloongarch64*)
 export EFI_ARCH := x64
 endif
 ifeq ($(DEB_HOST_ARCH),arm64)
-$(shell rm build/shimx64*)
+$(shell rm build/shimx64* build/shimloongarch64*)
 export EFI_ARCH := aa64
 endif
 ifeq ($(DEB_HOST_ARCH),i386)
 export EFI_ARCH := ia32
+endif
+ifeq ($(DEB_HOST_ARCH),loong64)
+$(shell rm build/shimx64* build/shimaa64*)
+export EFI_ARCH := loongarch64
 endif
 
 %:

## shim-signed 1.37~18.04.3

=== debian/control ===
Source: shim-signed
Section: utils
Priority: optional
Maintainer: Steve Langasek <steve.langasek@ubuntu.com>
Build-Depends: debhelper (>= 9), shim, sbsigntool (>= 0.6-0ubuntu4), po-debconf
Standards-Version: 3.9.4
Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/shim/+git/shim-signed
Vcs-Browser: https://git.launchpad.net/~ubuntu-core-dev/shim/+git/shim-signed

Package: shim-signed
Architecture: amd64
Depends: ${misc:Depends}, shim (= ${shim:Version}), grub-efi-amd64-signed, grub2-common (>= 2.02-2ubuntu8.1), mokutil, sbsigntool
Breaks: grub-efi-amd64-signed (<< 1.93.7)
Recommends: secureboot-db
Built-Using: shim (= ${shim:Version})
Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)
 This package provides a minimalist boot loader which allows verifying
 signatures of other UEFI binaries against either the Secure Boot DB/DBX or
 against a built-in signature database.  Its purpose is to allow a small,
 infrequently-changing binary to be signed by the UEFI CA, while allowing
 an OS distributor to revision their main bootloader independently of the CA.
 .
 This package contains the version of the bootloader binary signed by the
 Microsoft UEFI CA.

## shim-signed 1.37~18.04.5

=== debian/changelog ===
shim-signed (1.37~18.04.5) bionic; urgency=medium

  * Fix versioned dependency on mokutil so that it matches the version in
    bionic-updates.  LP: #1862632.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Feb 2020 09:50:46 -0800

shim-signed (1.37~18.04.4) bionic; urgency=medium

  * Pass --timeout -1 to mokutil so that users don't end up with broken
    systems by missing MokManager on reboot after install.  LP: #1856422.
  * Add a versioned dependency on the mokutil that introduces --timeout.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 14 Dec 2019 20:33:19 -0800

shim-signed (1.37~18.04.3) bionic; urgency=medium

  * Don't fail non-interactive upgrade of nvidia module and module removals
    (LP: #1726803)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 25 Oct 2018 20:55:38 +0200

shim-signed (1.37~18.04.2) bionic; urgency=medium

  * debian/control: add Breaks: grub-efi-amd64-signed (<< 1.93.7), as the new
    version of shim exercises a bug in relocation code for chainload that was
    fixed in that upload of grub, affecting Windows 7, Windows 10, and some
    netboot scenarios where chainloading is required. (LP: #1792575)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 28 Sep 2018 11:02:56 -0400

shim-signed (1.37~18.04.1) bionic; urgency=medium

  * Backport shim-signed 1.37 to Ubuntu 18.04. (LP: #1790724)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 04 Sep 2018 17:02:59 -0400

shim-signed (1.37) cosmic; urgency=medium

  * Update to the signed 15+1533136590.3beb971-0ubuntu1 binary from Microsoft.
  * debian/real-po: replace debian/po to make sure things are translatable
    via Launchpad.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 29 Aug 2018 15:43:41 -0400

shim-signed (1.36) cosmic; urgency=medium

  * debian/shim-signed.postinst: use --auto-nvram with grub-install in case
    we're installing on a NVRAM-unavailable platform.
  * debian/control: bump the dependency for grub2-common to make sure
    grub-install supports --auto-nvram.
  * debian/control: switch the grub-efi-amd64-bin dependency to
    grub-efi-amd64-signed.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 06 Jun 2018 20:25:57 +0200

shim-signed (1.35) cosmic; urgency=medium

  * update-secureboot-policy: fix quoting for key/again password handling to
    mokutil. (LP: #1770579)
  * update-secureboot-policy: don't allow backtracking at the "main" question
    for whether to enroll a new MOK. (LP: #1767091)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 31 May 2018 17:46:46 -0400

## shim-signed 1.37~18.04.11

=== Makefile ===
all:
	mkdir -p build
	# Download unsigned & signed shim
	./download-signed shim current shim signed

	# Copy unsigned shim
	cp $(SHIM_VERSION)/$(SHIM_BASE) build/

	# Create detached signature from externally signed shim
	sbattach --detach external-$(EFI_ARCH_LOWER).p7c external-shim$(EFI_ARCH_LOWER).efi

	# Attach external signature to unsigned & signed shims
	sbattach --attach external-$(EFI_ARCH_LOWER).p7c $(SHIM_VERSION)/$(SHIM_BASE)
	sbattach --attach external-$(EFI_ARCH_LOWER).p7c $(SHIM_VERSION)/$(SHIM_BASE).signed

	# Copy external & dualsigned shims
	cp $(SHIM_VERSION)/$(SHIM_BASE) build/$(SHIM_BASE).signed
	cp $(SHIM_VERSION)/$(SHIM_BASE).signed build/$(SHIM_BASE).dualsigned

	# Move archive signed fb*.efi & mm*.efi
	mv $(SHIM_VERSION)/$(FB_BASE).signed build/$(FB_BASE)
	mv $(SHIM_VERSION)/$(MM_BASE).signed build/$(MM_BASE)

	# Generate BOOT.CSV
	echo "$(SHIM_BASE),ubuntu,,This is the boot entry for ubuntu" | iconv -t UCS-2LE > build/BOOT$(EFI_ARCH).CSV

check:
	# Verify all signatures
	sbverify --verbose --cert external.pem build/$(SHIM_BASE).signed
	sbverify --verbose --cert external.pem build/$(SHIM_BASE).dualsigned
	sbverify --verbose --cert $(SHIM_VERSION)/control/uefi.crt build/$(SHIM_BASE).dualsigned
	sbverify --verbose --cert $(SHIM_VERSION)/control/uefi.crt build/$(FB_BASE)
	sbverify --verbose --cert $(SHIM_VERSION)/control/uefi.crt build/$(MM_BASE)
	# verify sbattach binary output matches the externally-signed binary
	cmp external-shim$(EFI_ARCH_LOWER).efi build/$(SHIM_BASE).signed

clean:
	rm -rf build $(SHIM_VERSION) external-$(EFI_ARCH_LOWER).p7c

=== debian/changelog ===
shim-signed (1.37~18.04.11) bionic; urgency=medium

  * Update to shim 15.4-0ubuntu9
    - Fix booting installer media on some machines (LP: #1937115)
      + Always fallback to the default loader (PR #393)
      + Dump load options parsed (PR #393)
      + Disable load option parsing on removable media path (PR #399)
    - trivial: Fix a minor overflow in the mok importing code (PR #365)
    - Fix fall back loader to find the correct boot entry, avoiding potential
      corruption of firmware (PR #396).

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 07 Sep 2021 12:03:11 +0200

shim-signed (1.37~18.04.10) bionic; urgency=medium

  * Remove unnecessary efitools dependency that prevented build on arm64

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 19 Jul 2021 17:01:19 +0200

shim-signed (1.37~18.04.9) bionic; urgency=medium

  * New upstream release 15.4.  LP: #1921134
  * Synchronize packaging with 1.50, summary
    - Update packaging to pull fb and mm from shim-signed package as in
      later releases, dropping the runtime dependency on shim.
    - Add download-signed script from linux-signed package
    - Include reworked Makefile from devel to better assert the integrity of
      the executables.
    - Dual-signed shim
    - Set XB-Important: yes on shim-signed package so that it cannot be
      removed by accident (LP: #1898729)
    - download-signed: Fetch signed artefacts from versioned URL instead
      of current/ symlink to work around caching (LP: #1936640)
  * Update to shim 15.4-0ubuntu5:
    - Stop addending vendor dbx to MokListXRT during MokListX mirroring. This
      is causing systems to run out of EFI storage space, or just hang up
      when trying to write it (LP: #1924605) (LP: #1928434)
    - Further relax the check for variable mirroring on non-secureboot systems
      avoiding boot failures on out of space conditons (pull request #372)
    - Don't unhook ExitBootServices() when EBS protection is disabled
      (LP: #1931136) (pull request #378)
  * Update to shim 15.4-0ubuntu7:
    - Fix load option parsing, and thus fwupd execution (LP: #1929471) (PR #379)
    - Fix occasional crashes in _relocate() on arm64 (LP: #1928010) (PR #383)
    - Fix accidental deletion of RT variables (LP: #1934506) (PR #387)
    - mok: relax the maximum variable size check (LP: #1934780) (PR #369)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 16 Jul 2021 14:04:10 +0200

shim-signed (1.37~18.04.8) bionic; urgency=medium

  * Followup fix to actually include the updated shimx64.efi (LP: #1862171),
    as the previous upload accidentally only contained an updated shimaa64.efi

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 27 Aug 2020 13:32:46 +0200

shim-signed (1.37~18.04.7) bionic; urgency=medium

  * Build shim-signed:arm64 (LP: #1890813)
  * Update to the signed 15+1552672080.a4a1fbe-0ubuntu2 binary from Microsoft.
    (LP: #1862171)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 07 Aug 2020 13:57:23 +0200

shim-signed (1.37~18.04.6) bionic; urgency=medium

  * Pass --timeout -1 to mokutil in a separate mokutil run (LP: #1869187)
    thanks to Aleksander Miera for the patch.

 -- Matthieu Clemenceau <matthieu.clemenceau@canonical.com>  Fri, 10 Jul 2020 14:27:41 -0500

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,19 @@
 Section: utils
 Priority: optional
 Maintainer: Steve Langasek <steve.langasek@ubuntu.com>
-Build-Depends: debhelper (>= 9), shim, sbsigntool (>= 0.6-0ubuntu4), po-debconf
+Build-Depends: debhelper (>= 9), dh-exec, shim, sbsigntool (>= 0.6-0ubuntu4), po-debconf, python3, python3-apt
 Standards-Version: 3.9.4
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/shim/+git/shim-signed
 Vcs-Browser: https://git.launchpad.net/~ubuntu-core-dev/shim/+git/shim-signed
 
 Package: shim-signed
-Architecture: amd64
-Depends: ${misc:Depends}, shim (= ${shim:Version}), grub-efi-amd64-signed, grub2-common (>= 2.02-2ubuntu8.1), mokutil, sbsigntool
-Breaks: grub-efi-amd64-signed (<< 1.93.7)
+Architecture: amd64 arm64
+Depends: ${misc:Depends}, grub-efi-amd64-signed (>= 1.167~) | grub-efi-arm64-signed (>= 1.167~), grub2-common (>= 2.02-2ubuntu8.23), mokutil (>= 0.3.0+1538710437.fb6250f-0ubuntu2~), sbsigntool
+Breaks: shim (<< 15.3)
+Replaces: shim (<< 15.3)
 Recommends: secureboot-db
 Built-Using: shim (= ${shim:Version})
+XB-Important: yes
 Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)
  This package provides a minimalist boot loader which allows verifying
  signatures of other UEFI binaries against either the Secure Boot DB/DBX or

## shim-signed 1.37~18.04.13

=== Makefile ===
--- 
+++ 
@@ -14,8 +14,9 @@
 	sbattach --attach external-$(EFI_ARCH_LOWER).p7c $(SHIM_VERSION)/$(SHIM_BASE).signed
 
 	# Copy external & dualsigned shims
-	cp $(SHIM_VERSION)/$(SHIM_BASE) build/$(SHIM_BASE).signed
+	cp $(SHIM_VERSION)/$(SHIM_BASE) build/$(SHIM_BASE).signed.latest
 	cp $(SHIM_VERSION)/$(SHIM_BASE).signed build/$(SHIM_BASE).dualsigned
+	cp external-shim$(EFI_ARCH_LOWER).efi.previous build/$(SHIM_BASE).signed.previous
 
 	# Move archive signed fb*.efi & mm*.efi
 	mv $(SHIM_VERSION)/$(FB_BASE).signed build/$(FB_BASE)
@@ -26,13 +27,16 @@
 
 check:
 	# Verify all signatures
-	sbverify --verbose --cert external.pem build/$(SHIM_BASE).signed
+	sbverify --verbose --cert external.pem build/$(SHIM_BASE).signed.latest
+	sbverify --verbose --cert external.pem build/$(SHIM_BASE).signed.previous
 	sbverify --verbose --cert external.pem build/$(SHIM_BASE).dualsigned
 	sbverify --verbose --cert $(SHIM_VERSION)/control/uefi.crt build/$(SHIM_BASE).dualsigned
 	sbverify --verbose --cert $(SHIM_VERSION)/control/uefi.crt build/$(FB_BASE)
 	sbverify --verbose --cert $(SHIM_VERSION)/control/uefi.crt build/$(MM_BASE)
 	# verify sbattach binary output matches the externally-signed binary
-	cmp external-shim$(EFI_ARCH_LOWER).efi build/$(SHIM_BASE).signed
+	cmp external-shim$(EFI_ARCH_LOWER).efi build/$(SHIM_BASE).signed.latest
+	# Check that we are not signed with revoked keys
+	./is-not-revoked  build/$(FB_BASE) build/$(MM_BASE) build/$(SHIM_BASE).dualsigned
 
 clean:
 	rm -rf build $(SHIM_VERSION) external-$(EFI_ARCH_LOWER).p7c

=== debian/changelog ===
shim-signed (1.37~18.04.13) bionic; urgency=medium

  [ dann frazier ]
  * Fix arm64 issues due to hardcoding "x64" as the EFI architecture.
    (LP: #2004208)
  * is-not-revoked: Support vmlinux.gz files as used on arm64.
    (LP: #2004201)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 31 Jan 2023 12:57:37 +0100

shim-signed (1.37~18.04.12) bionic; urgency=medium

  * New upstream version 15.7 (LP: #1996503)
    - SBAT level: shim,3
    - SBAT policy bumped to for grub,2 in previous and grub,3 in latest:
      SBAT policy: latest="shim,2\ngrub,3\n" previous="grub,2\n"
  * SECURITY FIX: Buffer overflow when loading crafted EFI images.
      - CVE-2022-28737
  * debian/control: Depend on new grub versions (1.191 on lunar+, 1.187.2 elsewhere)
  * Break fwupd-signed signed with old keys
  * Check for revoked fb,mm binaries in build, grubs, fwupd in autopkgtest
  * Install both previous and latest shim as alternatives. On secure boot
    systems, if the current kernel or any newer one is revoked, the previous
    shim will continue to be used until current kernel and all newer ones
    are signed with a non-revoked key.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 26 Jan 2023 13:03:25 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 
 Package: shim-signed
 Architecture: amd64 arm64
-Depends: ${misc:Depends}, grub-efi-amd64-signed (>= 1.167~) | grub-efi-arm64-signed (>= 1.167~), grub2-common (>= 2.02-2ubuntu8.23), mokutil (>= 0.3.0+1538710437.fb6250f-0ubuntu2~), sbsigntool
-Breaks: shim (<< 15.3)
+Depends: ${misc:Depends}, grub-efi-amd64-signed (>= 1.191~) | grub-efi-arm64-signed (>= 1.191~) | base-files (<< 12.3), grub-efi-amd64-signed (>= 1.187.2~) | grub-efi-arm64-signed (>= 1.187.2~), grub2-common (>= 2.02-2ubuntu8.23), mokutil (>= 0.3.0+1538710437.fb6250f-0ubuntu2~), sbsigntool
+Breaks: shim (<< 15.3), fwupd-signed (<< 1.44.1~)
 Replaces: shim (<< 15.3)
 Recommends: secureboot-db
 Built-Using: shim (= ${shim:Version})

## shim-signed 1.37

=== debian/changelog ===
shim-signed (1.37) unstable; urgency=medium

  * Build against new signed binaries corresponding to 15.4-6
    Pulls multiple bugfixes in for the signed version:
    + Add arm64 patch to tweak section layout and stop crashing
      problems. Upstream issue #371. (#990082, #990190)
    + In insecure mode, don't abort if we can't create the MokListXRT
      variable. Upstream issue #372. (#989962, #990158)
  * Update build-dep on shim-unsigned to use 15.4-6

 -- Steve McIntyre <93sam@debian.org>  Tue, 29 Jun 2021 09:26:20 +0100

=== debian/control ===
Source: shim-signed
Section: utils
Priority: optional
Maintainer: Debian EFI Team <debian-efi@lists.debian.org>
Uploaders: Steve McIntyre <93sam@debian.org>, Steve Langasek <vorlon@debian.org>
Build-Depends: debhelper (>= 13),
 shim-unsigned (= 15.4-6),
# sbsigntool before 0.9.2-2 had a horrid bug with checksum calculation
# which broke our build
 sbsigntool (>= 0.9.2-2),
 po-debconf
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/efi-team/shim-signed
Vcs-Git: https://salsa.debian.org/efi-team/shim-signed.git

Package: shim-signed
Architecture: amd64 i386 arm64
Multi-Arch: same
Depends: ${misc:Depends},
 shim-signed-common (>= ${binary:Version}),
 grub-efi-amd64-bin [amd64],
 shim-helpers-amd64-signed (>= 1+15.4+2) [amd64],
 grub-efi-ia32-bin [i386],
 shim-helpers-i386-signed (>= 1+15.4+2) [i386],
 grub-efi-arm64-bin [arm64],
 shim-helpers-arm64-signed (>= 1+15.4+2) [arm64],
 grub2-common (>= 2.02+dfsg1-16)
Recommends: secureboot-db
Built-Using: shim (= ${shim:Version})
Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)
 This package provides a minimalist boot loader which allows verifying
 signatures of other UEFI binaries against either the Secure Boot DB/DBX or
 against a built-in signature database.  Its purpose is to allow a small,
 infrequently-changing binary to be signed by the UEFI CA, while allowing
 an OS distributor to revision their main bootloader independently of the CA.
 .
 This package contains the version of the bootloader binary signed by the
 Microsoft UEFI CA.

Package: shim-signed-common
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}, mokutil
Replaces: shim-signed (<< 1.32+15+1533136590.3beb971-5)
Breaks: shim-signed (<< 1.32+15+1533136590.3beb971-5)
Description: Secure Boot chain-loading bootloader (common helper scripts)
 This package provides a minimalist boot loader which allows verifying
 signatures of other UEFI binaries against either the Secure Boot DB/DBX or
 against a built-in signature database.  Its purpose is to allow a small,
 infrequently-changing binary to be signed by the UEFI CA, while allowing
 an OS distributor to revision their main bootloader independently of the CA.
 .
 This package contains common helper scripts for all versions of the
 shim-signed package.

## shim-signed 1.38~1+deb10u1

=== debian/changelog ===
shim-signed (1.38~1+deb10u1) buster; urgency=medium

  * Tweak how we call grub-install; don't abort on error. Not ideal
    behaviour either, but don't break upgrades. Copy the behaviour
    from the grub packages here. Bug #990984
  * Update build-dep on shim-unsigned to use 15.4-7~deb10u1

 -- Steve McIntyre <93sam@debian.org>  Tue, 13 Jul 2021 00:28:10 +0100

shim-signed (1.37~1+deb10u1) buster; urgency=medium

  * Buster update: build against new signed binaries corresponding to
    15.4-6~deb10u1. Pulls multiple bugfixes in for the signed version:
    + Add arm64 patch to tweak section layout and stop crashing
      problems. Upstream issue #371. (#990082, #990190)
    + In insecure mode, don't abort if we can't create the MokListXRT
      variable. Upstream issue #372. (#989962, #990158)
  * Update build-dep on shim-unsigned to use 15.4-6~deb10u1
  * Switch arm64 back to using a current unsigned build (undo changes
    in 1.36~1+deb10u2)

 -- Steve McIntyre <93sam@debian.org>  Tue, 29 Jun 2021 09:39:32 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian EFI Team <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>, Steve Langasek <vorlon@debian.org>
-Build-Depends: debhelper (>= 13),
- shim-unsigned (= 15.4-6),
+Build-Depends: debhelper (>= 9),
+ shim-unsigned (= 15.4-7~deb10u1),
 # sbsigntool before 0.9.2-2 had a horrid bug with checksum calculation
 # which broke our build
  sbsigntool (>= 0.9.2-2),
  po-debconf
-Standards-Version: 4.5.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/efi-team/shim-signed
 Vcs-Git: https://salsa.debian.org/efi-team/shim-signed.git
 
@@ -19,12 +19,12 @@
 Depends: ${misc:Depends},
  shim-signed-common (>= ${binary:Version}),
  grub-efi-amd64-bin [amd64],
- shim-helpers-amd64-signed (>= 1+15.4+2) [amd64],
+ shim-helpers-amd64-signed (>= 1+15.4+2~deb10u1) [amd64],
  grub-efi-ia32-bin [i386],
- shim-helpers-i386-signed (>= 1+15.4+2) [i386],
+ shim-helpers-i386-signed (>= 1+15.4+2~deb10u1) [i386],
  grub-efi-arm64-bin [arm64],
- shim-helpers-arm64-signed (>= 1+15.4+2) [arm64],
- grub2-common (>= 2.02+dfsg1-16)
+ shim-helpers-arm64-signed (>= 1+15.4+2~deb10u1) [arm64],
+ grub2-common (>= 2.02+dfsg1-20+deb10u4)
 Recommends: secureboot-db
 Built-Using: shim (= ${shim:Version})
 Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)
